Subject: Re: bug#44686: Subject: 28.0.50; [native-comp] breaks helm-find-files from keybind

From: Andrea Corallo <[email-masked]>
Date: Mon, 16 Nov 2020 20:18:50 +0000

Bjoern Bidar <[email-masked]> writes:

> Am Montag, 16. November 2020, 16:54:36 EET schrieb Andrea Corallo:
>> Bjoern Bidar <[email-masked]> writes:
>> > 1. have a clean Emacs install and install helm
>> > 2. Run is in *scratch*:
>> > 
>> > #+BEGIN_SRC Emacs-lisp
>> > (require 'helm-config)
>> > (global-set-key (kbd "C-x C-f") #'helm-find-files)
>> > #+END_SRC
>> > 
>> > 3. Use the previously set key bind
>> > 
>> > Loading the byte compiled file instead of the native-compiled file of
>> > helm-files works fine.
>> > 
>> > I noticed the error got introduced after the 17th of September.
>> > After before that I made a build and today a made a new build and hit
>> > the bug.
>> > (I rebase feature/native-comp regularly on pgtk as seen here:
>> > https://github.com/Thaodan/emacs/tree/feature/pgtk%2Bnative_comp)
>> > 
>> > 
>> > Backtrace:
>> > 
>> > #+BEGIN_SRC
>> > Debugger entered--Lisp error: (wrong-type-argument stringp t)
>> > 
>> >   file-remote-p(t)
>> >   helm-find-files-input(t #("redistribute" 0 12 (face
>> >   font-lock-comment-face
>> > 
>> > fontified t)))
>> > 
>> >   helm-find-files-initial-input()
>> >   helm-find-files(nil)
>> >   funcall-interactively(helm-find-files nil)
>> >   command-execute(helm-find-files)
>> > 
>> > #+END_SRC
>> 
>> Hi Bjoern,
>> 
>> I've pushed a fix for this ~20min ago.
>> 
>> Could you verify with 898f929215 the issue is solved for you?
>> 
>> Thanks
>> 
>>   Andrea
>
> Hey Andrea,
>
> The fix works for me however it require my to recompile the faulty files 
> (deleting the ELN cache) before it worked.

Hi Björn,

yeah that's expected, sorry forgot to mention it.

great closing it, thanks for reporting it :)

  Andrea